public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apache/mod_gnutls/
Date: Sun, 29 May 2016 21:03:42 +0000 (UTC)	[thread overview]
Message-ID: <1464555816.3f57d5224fd491ef342023a13b083b95ca0f15d0.polynomial-c@gentoo> (raw)

commit:     3f57d5224fd491ef342023a13b083b95ca0f15d0
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sun May 29 21:01:16 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sun May 29 21:03:36 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f57d522

www-apache/mod_gnutls: Bump to version 0.7.5

Package-Manager: portage-2.2.28
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 www-apache/mod_gnutls/Manifest                |  1 +
 www-apache/mod_gnutls/mod_gnutls-0.7.5.ebuild | 54 +++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/www-apache/mod_gnutls/Manifest b/www-apache/mod_gnutls/Manifest
index cde1bee..1bd99bd 100644
--- a/www-apache/mod_gnutls/Manifest
+++ b/www-apache/mod_gnutls/Manifest
@@ -1,3 +1,4 @@
 DIST mod_gnutls-0.5.10.tar.bz2 245958 SHA256 469fea5f2f422c459b4153c1b959d5d62568d3ddf87f90ca6fe880c81b3b8374 SHA512 c23fb1380565dc90f805fc1e05f8f1dc4544def16e2740548dea0c575a3f5a1d4148ce3dabd886b90b3a275da9955a82789653861892bf311b605622cc96005e WHIRLPOOL 4266b21fcb9f026eeb24d4b26d56ec23b5c29f1cc7e554979c7644d7aeae9666d2cf6c0ecc1d30f9b50aa41063140fe792f900db7430643f2b9f23fe0823cb8c
 DIST mod_gnutls-0.7.3.tar.bz2 337630 SHA256 fb1cd05320891e560abab52f0fffed84af7afd3f7220c7cc1fa6ae6eadc9ea35 SHA512 f7b2aa570072bb9fd7ca31ccb48cb8c741da76a80a9518ab2fc2e2737b3bbbea6e74800c67a635f1eb141c5dbd14d1397bbbd81bf51828c2b4e034f771ce3a6b WHIRLPOOL 677bcc82d8f386ad056fdb49a3d0354717d4f31695983446f331f9e2dd203f5814dff3f2742264bd811ed747ff2a0a27183be11ef2a253085953e6b213c70adc
 DIST mod_gnutls-0.7.4.tar.bz2 339486 SHA256 880f575f809fba5a5697bb5b69a90cedd3f2c2552081bf9b40fa73a3cf2b0ff6 SHA512 6124843f85e378126728a9df58ecac16ec76e9dbdb88ed0ac6547808a1c58a7cc276d3ea2a2ab33dccc9a943c81a347378d3a71237badd0be9c68254f182da24 WHIRLPOOL acc8219a04bc032c67b145d9c97e7021b4fe5b988d5f13e4fd026a617bf7b354b1f1e1a3bdfbec81dc6b40ab65d7eb07d013fb74542510d956bb59b493ef8c7d
+DIST mod_gnutls-0.7.5.tar.bz2 361708 SHA256 7187edb7854eaed5a69659e4ec1dc2220513fa54f452f51b4bc664798fb0f692 SHA512 ba9333d21c54fa9b1ff846001e91b8293996f3c4d38aa5c485d88168eb40ae606015cfde5b9849f928a15035dd8bb84a388c5b16e3b7df61c71c3a3508781017 WHIRLPOOL d2a20a3dfa69b48b31be300fe463e3e9ef67bcd1090c7feaa8bd3c598c9fdc20ec4a598ccdf5e8b47e8c2ec67f378d278759d0f0d87003d009cdb78e5268e946

diff --git a/www-apache/mod_gnutls/mod_gnutls-0.7.5.ebuild b/www-apache/mod_gnutls/mod_gnutls-0.7.5.ebuild
new file mode 100644
index 0000000..f59b632
--- /dev/null
+++ b/www-apache/mod_gnutls/mod_gnutls-0.7.5.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit apache-module autotools eutils
+
+DESCRIPTION="mod_gnutls uses GnuTLS to provide SSL/TLS encryption for Apache2, similarly to mod_ssl"
+HOMEPAGE="https://mod.gnutls.org/"
+SRC_URI="https://mod.gnutls.org/downloads/${P}.tar.bz2"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+CDEPEND=">=net-libs/gnutls-2.10.0:="
+DEPEND="${CDEPEND}
+	test? ( app-crypt/monkeysphere )"
+RDEPEND="${CDEPEND}"
+
+# Fails because gpg-agent cannot be accessed
+RESTRICT="test"
+
+APACHE2_MOD_CONF="47_${PN}"
+APACHE2_MOD_DEFINE="GNUTLS"
+
+DOCFILES="CHANGELOG NOTICE README"
+
+need_apache2
+
+src_prepare() {
+	sed -e "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/" -i configure.ac || die
+
+	epatch_user
+	eautoreconf
+}
+
+src_configure() {
+	econf --with-apxs="${APXS}"
+}
+
+src_compile() {
+	emake
+}
+
+src_install() {
+	keepdir /var/cache/${PN}
+	apache-module_src_install
+}
+
+src_test() {
+	emake -j1 check
+}


             reply	other threads:[~2016-05-29 21:03 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-05-29 21:03 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-31  9:24 [gentoo-commits] repo/gentoo:master commit in: www-apache/mod_gnutls/ Pacho Ramos
2022-08-20 15:54 Arthur Zamarin
2022-07-14  9:34 Sam James
2022-07-05  7:09 Joonas Niilola
2022-07-04 17:38 Joonas Niilola
2022-07-04 17:38 Joonas Niilola
2022-07-04  7:02 Joonas Niilola
2022-06-19 12:33 Lars Wendler
2022-06-19 12:24 Lars Wendler
2022-02-20  5:27 Sam James
2022-02-05 21:14 Jakov Smolić
2022-02-05 21:14 Jakov Smolić
2020-09-03 12:36 Lars Wendler
2020-08-19 14:01 Thomas Deutschmann
2020-08-19 14:01 Thomas Deutschmann
2020-08-19 14:01 Thomas Deutschmann
2019-01-24  8:45 Lars Wendler
2019-01-24  8:45 Lars Wendler
2018-04-14 19:51 Lars Wendler
2018-01-16  0:24 Lars Wendler
2017-11-26 23:26 David Seifert
2017-10-23 15:53 Lars Wendler
2017-04-26  9:58 Agostino Sarubbo
2017-04-25 18:15 Alon Bar-Lev
2017-04-25 17:18 Alon Bar-Lev
2017-04-25 17:12 Alon Bar-Lev
2017-01-10 22:06 Lars Wendler
2016-12-21  8:58 Lars Wendler
2016-12-13 10:38 Lars Wendler
2016-12-13 10:38 Lars Wendler
2016-04-15  8:54 Lars Wendler
2016-04-15  8:54 Lars Wendler
2016-02-13 19:51 Lars Wendler
2016-02-13 19:51 Lars Wendler
2015-11-22 12:11 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1464555816.3f57d5224fd491ef342023a13b083b95ca0f15d0.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox